<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.usky.sas.mapper.SasPatrolEventMapper">

    <resultMap id="BaseResultMap" type="com.usky.sas.domain.SasPatrolEvent">
        <id column="event_id" property="eventId"/>
        <result column="device_id" property="deviceId"/>
        <result column="channel" property="channel"/>
        <result column="trigger_time" property="triggerTime"/>
        <result column="event_code" property="eventCode"/>
        <result column="note" property="note"/>
        <result column="pic_id" property="picId"/>
        <result column="gis_id" property="gisId"/>
        <result column="rel_person" property="relPerson"/>
        <result column="deal_person" property="dealPerson"/>
        <result column="create_time" property="createTime"/>
        <result column="update_time" property="updateTime"/>
        <result column="event_system" property="eventSystem"/>
        <result column="name" property="name"/>
        <result column="credential_type" property="credentialType"/>
        <result column="credential_no" property="credentialNo"/>
        <result column="user_parasas_id" property="userParasasId"/>
        <result column="type_name" property="typeName"/>
    </resultMap>

</mapper>

